%global octpkg communications

Name:           octave-%{octpkg}
Version:        1.1.0
Release:        2%{?dist}
Summary:        Communications for Octave
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/communications/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# the following are required to build the documentation, and they come from the main octave package
Source1:        mkdoc
Source2:        mktexi
# make build more verbose; local fedora change, not upstreamed
Patch0:         octave-communications-verbose.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  octave-devel
BuildRequires:  octave-signal >= 1.0.0
BuildRequires:  octave-image >= 0.0.0
BuildRequires:  hdf5-devel
BuildRequires:  texinfo-tex

Requires:       octave(api) = %{octave_api}
Requires:       octave-signal >= 1.0.0 
Requires:       octave-image >= 0.0.0
Requires(post): octave
Requires(postun): octave

Obsoletes:      octave-forge <= 20090607


%description
Digital Communications, Error Correcting Codes (Channel Code), Source Code
functions, Modulation and Galois Fields

%prep
%setup -q -n %{octpkg}
cp -p %{SOURCE1} %{SOURCE2} .
chmod a+x mkdoc mktexi
%patch0 -p0 -b .verbose

%build
# octave_pkg_build results in the following errors:
# error: the following dependencies where unsatisfied:
#   communications needs signal >= 1.0.0
# communications needs image >= 0.0.0
# even though the dependencies are installed
# see https://bugzilla.redhat.com/show_bug.cgi?id=733615
#octave_pkg_build
%octave_cmd pkg build '-verbose' '-nodeps' %{_tmppath}/%{name}-%{version}-%{release}.%{_arch} %{_builddir}/%{buildsubdir}
make -C doc

%install
rm -rf %{buildroot}
%octave_pkg_install
# remove doc build junk
rm -rf %{buildroot}/%{octpkgdir}/doc
install -m 0644 doc/comms.info %{buildroot}/%{octpkgdir}
chmod a-x %{buildroot}/%{octpkgdir}/*.m
chmod a-x %{buildroot}/%{octpkgdir}/@galois/*.m

# for EPEL
%clean
rm -rf %{buildroot}

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/@galois/*.m
%{octpkgdir}/packinfo
%{octpkgdir}/comms.info

%changelog
* Sat Dec 17 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-2
- update according to reviewer comments

* Fri Dec 16 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-1
- update to 1.1.0

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.10-1
- initial package for Fedora
